> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an accessory

> Create an accessory for your company.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /accessories
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /accessories:
    post:
      tags:
        - Accessories
      summary: Create an accessory
      description: Create an accessory for your company.
      operationId: createAccessory
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccessoryBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccessory_Output'
components:
  schemas:
    CreateAccessoryBody:
      type: object
      properties:
        ownerId:
          description: Employee ID to assign the accessory to
          anyOf:
            - type: string
              pattern: ^[a-f\d]{24}$
            - type: 'null'
        name:
          type: string
          minLength: 1
        type:
          type: string
          enum:
            - MONITOR
            - KEYBOARD
            - MOUSE
            - MOUSEPAD
            - WEBCAM
            - HEADSET
            - SPEAKER
            - CABLE_ADAPTER
            - HUB
            - CHARGER
            - STORAGE_DEVICE
            - LAPTOP_CASE
            - ERGONOMIC
            - SHIPPING_MATERIAL
            - FIDO_KEY
            - ACCESS_CARD
            - NETWORK_DEVICE
            - FIREWALL
            - ROUTER
            - SWITCH
            - OTHER
        brand:
          anyOf:
            - type: string
            - type: 'null'
        model:
          anyOf:
            - type: string
            - type: 'null'
        serialNumber:
          anyOf:
            - type: string
            - type: 'null'
        tags:
          type: array
          items:
            type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          description: Accessory condition. Set to null to clear the current condition.
          anyOf:
            - type: string
              enum:
                - NEW
                - GOOD
                - DAMAGED
                - UNUSABLE
            - type: 'null'
      required:
        - name
        - type
    GetAccessory_Output:
      type: object
      properties:
        id:
          type: string
        ownerId:
          description: Employee ID currently assigned to this accessory
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        type:
          type: string
          enum:
            - MONITOR
            - KEYBOARD
            - MOUSE
            - MOUSEPAD
            - WEBCAM
            - HEADSET
            - SPEAKER
            - CABLE_ADAPTER
            - HUB
            - CHARGER
            - STORAGE_DEVICE
            - LAPTOP_CASE
            - ERGONOMIC
            - SHIPPING_MATERIAL
            - FIDO_KEY
            - ACCESS_CARD
            - NETWORK_DEVICE
            - FIREWALL
            - ROUTER
            - SWITCH
            - OTHER
        brand:
          anyOf:
            - type: string
            - type: 'null'
        model:
          anyOf:
            - type: string
            - type: 'null'
        serialNumber:
          anyOf:
            - type: string
            - type: 'null'
        tags:
          type: array
          items:
            type: string
        description:
          description: Free-form accessory description
          anyOf:
            - type: string
            - type: 'null'
        condition:
          description: Current accessory condition. Null when condition is not specified.
          anyOf:
            - type: string
              enum:
                - NEW
                - GOOD
                - DAMAGED
                - UNUSABLE
            - type: 'null'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - name
        - type
        - tags
        - createdAt
        - updatedAt
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````